Page MenuHomePhabricator

[ProfileSummary] Count callsite samples when computing total samples.
ClosedPublic

Authored by twoh on Mar 26 2019, 12:20 PM.

Details

Summary

Currently ProfileSummaryBuilder doesn't count into callsite samples when computing total samples. Considering that ProfileSummaryInfo is used to checked the hotness of not only body samples but also callsite samples (from SampleProfileLoader), I think the callsite sample counts should be considered when computing total samples.

Diff Detail

Repository
rL LLVM

Event Timeline

twoh created this revision.Mar 26 2019, 12:20 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 26 2019, 12:20 PM
wmi added a comment.Apr 2 2019, 9:44 AM

That is a reasonable change to me. Thanks. However it probably needs some careful performance evaluation since some tuning may be needed for that change. I will do that in our benchmarks. How does this change on performance look like on your side?

twoh added a comment.Apr 2 2019, 10:49 AM

@wmi Thanks for taking a look! Performance numbers were neutral from our side.

wmi accepted this revision.Apr 3 2019, 10:04 AM

Did the test. No major improvement or regression was found. LGTM.

This revision is now accepted and ready to land.Apr 3 2019, 10:04 AM
This revision was automatically updated to reflect the committed changes.